org.apache.ignite.internal.processors.task.monitor

## Enum ComputeTaskStatusEnum

- java.lang.Object
- - java.lang.Enum<ComputeTaskStatusEnum>
  - - org.apache.ignite.internal.processors.task.monitor.ComputeTaskStatusEnum

All Implemented Interfaces:
  Serializable, Comparable<ComputeTaskStatusEnum>

    public enum ComputeTaskStatusEnum
    extends Enum<ComputeTaskStatusEnum>

Task status.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FAILED` Task has failed.
`FINISHED` Task is finished.
`RUNNING` Task is in progress.

### Method Summary

All Methods Static Methods Concrete Methods
`static ComputeTaskStatusEnum` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ComputeTaskStatusEnum[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RUNNING

    public static final ComputeTaskStatusEnum RUNNING

Task is in progress.

#### FINISHED

    public static final ComputeTaskStatusEnum FINISHED

Task is finished.

#### FAILED

    public static final ComputeTaskStatusEnum FAILED

Task has failed.

### Method Detail

#### values

    public static ComputeTaskStatusEnum[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ComputeTaskStatusEnum c : ComputeTaskStatusEnum.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ComputeTaskStatusEnum valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023